Page MenuHome

Select Similar for Bones, more options
Closed, ResolvedPublicTO DO

Description

The select similar tool for armatures could get more options.
http://www.blender.org/documentation/blender_python_api_2_69_release/bpy.ops.armature.html#bpy.ops.armature.select_similar

Ideas for options:

Group
Custom-shape
Children
Immediate-children
Siblings

Event Timeline

Brecht Van Lommel (brecht) raised the priority of this task from to Normal.
Brecht Van Lommel (brecht) triaged this task as Low priority.
Brecht Van Lommel (brecht) updated the task description. (Show Details)
Brecht Van Lommel (brecht) edited a custom field.
Brecht Van Lommel (brecht) raised the priority of this task from Low to Normal.Dec 19 2013, 4:59 PM
Brecht Van Lommel (brecht) triaged this task as Low priority.

Hi,

I will work on it, and propose a patch

Sorry, have no time for developer for now.
If anyone else want to work on it :)

I added some of them in D1750.

Hmm, what do you think about what Group and Custom Shape options should do?

I think the idea for Group and Custom shape is to select bones in the same bone group or bones with the same mesh assigned as a custom shape.

This comment was removed by cris (InsigMathK).

@Michał Ziobro (Muchomor) still working on it? i would like to try this.

If you want, it's yours.

Hello,
I am new in the blender devel world. To get used to it, I tried to do this task, and it's work. I see there is already a wip on it.
But if it's possible to have some review on my code, it will be very cool. Thanks !

colin (col-one) changed the task status from Unknown Status to Resolved.Nov 20 2017, 9:32 PM
colin (col-one) removed colin (col-one) as the assignee of this task.
colin (col-one) changed the task status from Resolved to Unknown Status.Nov 21 2017, 7:25 PM
Campbell Barton (campbellbarton) changed the task status from Unknown Status to Resolved.Nov 30 2017, 4:31 AM
Campbell Barton (campbellbarton) updated the task description. (Show Details)